from setuptools import setup

REQUIREMENTS = [
    'django>=1.5',
    'bzr>=2.5.1'
]

TEST_REQUIREMENTS = REQUIREMENTS + ['mocker']


setup(
    name='django-bzrviews',
    version='0.2',
    description='Django Bzr view with current revision',
    url='https://launchpad.net/django-bzrviews',
    author='Canonical CE Infrastructure Team',
    author_email='ce-infrastructure@lists.canonical.com',
    license='LGPLv3',
    test_suite='bzrviews.tests',
    require=REQUIREMENTS,
    tests_require=TEST_REQUIREMENTS,
    packages=['bzrviews'],
    classifiers=[
        'Environment :: Web Environment',
        'Famework :: Django',
        'Famework :: Django 1.6',
        'Famework :: Django 1.7',
        'Famework :: Django 1.8',
        'Famework :: Django 1.9',
        'Famework :: Django 1.10',
        'Famework :: Django 1.11',
        'Programming Language :: Python',
        'Programming Language :: Python 2',
        'Programming Language :: Python 2.7',
        'License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)',
    ]
)
